Create a contact
curl --request POST \
--url https://dev-api.amplify.xyz/v1/contacts/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "individual",
"is_organization": false,
"first_name": "Primary one",
"middle_name": "Primary two",
"last_name": "Contact",
"suffix": "Jr",
"email": "web20+781111119@moontechnolabs.com",
"fax_number": "+12058976411",
"dob": "1996-09-02",
"gender": "male"
}
'import requests
url = "https://dev-api.amplify.xyz/v1/contacts/create"
payload = {
"type": "individual",
"is_organization": False,
"first_name": "Primary one",
"middle_name": "Primary two",
"last_name": "Contact",
"suffix": "Jr",
"email": "web20+781111119@moontechnolabs.com",
"fax_number": "+12058976411",
"dob": "1996-09-02",
"gender": "male"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'individual',
is_organization: false,
first_name: 'Primary one',
middle_name: 'Primary two',
last_name: 'Contact',
suffix: 'Jr',
email: 'web20+781111119@moontechnolabs.com',
fax_number: '+12058976411',
dob: '1996-09-02',
gender: 'male'
})
};
fetch('https://dev-api.amplify.xyz/v1/contacts/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 1,
"message": "Contact has been saved successfully."
}{
"data": "<string>"
}Contacts
Create a contact
Customer API v1 endpoint.
POST
/
v1
/
contacts
/
create
Create a contact
Create a contact. Authenticate with a Bearer access token unless the endpoint is the authentication token exchange.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
